# CTA Buttons

We recommend to place as many triggers as possible to enrich the UX along the full user journey.

The easiest way to trigger the AI experience for your users is placing Call-to-Action (CTA) buttons at certain places where the traditional user journey often breaks and users churn. Here are some examples:

## CTA Button @ PDPs

On every Product Detail Page (PDP) there should be a button:

```javascript
advisor.sendMessage("Beratung starten zu " + product_title)
```

## CTA Button @ FAQs

When you have a frequently asked question page, you can add further buttons to every entry:

```javascript
advisor.sendMessage("Erkläre mir bitte " + faq_title)
```

## CTA Button @ Long Search Result Pages

If a search found more than 50 results, you should help your user to narrow down the matching products to take a solid purchase decision.

The button can say: `Ui, das sind viele Produkte. Unser Advisor hilft bei der näheren Produktauswahl` and it can trigger the consultation like:

```javascript
advisor.sendMessage("Hilf mir bei der Auswahl von " + search_query)
```

## CTA Button @ "Zero" Search Result Pages

If a search was not successful and did not find anything, help too!

The button can say: `Ui, leider keine Produkte gefunden. Unser Advisor hilft Alternativen zu finden` and it can trigger the consultation like:

```javascript
advisor.sendMessage("Alternativen zu " + search_query)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frontnow.com/advise/inspiration/cta-buttons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
